package com.hai.dao;

import com.hai.entity.HighMemberPayPassword;
import com.hai.entity.HighMemberPayPasswordExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighMemberPayPasswordMapper extends HighMemberPayPasswordMapperExt {
    @SelectProvider(type=HighMemberPayPasswordSqlProvider.class, method="countByExample")
    long countByExample(HighMemberPayPasswordExample example);

    @DeleteProvider(type=HighMemberPayPasswordSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighMemberPayPasswordExample example);

    @Delete({
        "delete from high_member_pay_password",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_member_pay_password (user_id, user_phone, ",
        "`password`, create_time, ",
        "update_time, ext_1, ",
        "ext_2, ext_3)",
        "values (#{userId,jdbcType=BIGINT}, #{userPhone,jdbcType=BIGINT}, ",
        "#{password,jdbcType=VARCHAR}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{updateTime,jdbcType=TIMESTAMP}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighMemberPayPassword record);

    @InsertProvider(type=HighMemberPayPasswordSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighMemberPayPassword record);

    @SelectProvider(type=HighMemberPayPasswordSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_phone", property="userPhone", jdbcType=JdbcType.BIGINT),
        @Result(column="password", property="password", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighMemberPayPassword> selectByExample(HighMemberPayPasswordExample example);

    @Select({
        "select",
        "id, user_id, user_phone, `password`, create_time, update_time, ext_1, ext_2, ",
        "ext_3",
        "from high_member_pay_password",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_phone", property="userPhone", jdbcType=JdbcType.BIGINT),
        @Result(column="password", property="password", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighMemberPayPassword selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighMemberPayPasswordSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighMemberPayPassword record, @Param("example") HighMemberPayPasswordExample example);

    @UpdateProvider(type=HighMemberPayPasswordSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighMemberPayPassword record, @Param("example") HighMemberPayPasswordExample example);

    @UpdateProvider(type=HighMemberPayPasswordSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighMemberPayPassword record);

    @Update({
        "update high_member_pay_password",
        "set user_id = #{userId,jdbcType=BIGINT},",
          "user_phone = #{userPhone,jdbcType=BIGINT},",
          "`password` = #{password,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighMemberPayPassword record);
}